POST/shorts.v1alpha1.MarketService/GetIndustryTreeMap

GetIndustryTreeMap

Get Industry TreeMap for short positions.

Parameters

Connect-Protocol-VersionheaderRequired
number [1]

Define the version of the Connect protocol

Connect-Timeout-Msheader
number

Define the timeout, in ms

Request Body

application/json
object

Request for Top10 RPC, specifying the period of time.

limitinteger <int32>

number of stocks to return for each parent (proto int32)

periodstring

time over which to look at the max value (proto string)

viewModestring [CURRENT_CHANGE, PERCENTAGE_CHANGE]

(proto shorts.v1alpha1.ViewMode)

Responses

200Success
application/json
object
industriesarray

indstries that a stock will belond to (proto string)

Array Items:
string
stocksarray

(proto stocks.v1alpha1.TreemapShortPosition)

Array Items:
defaultError
application/json
object

Error type returned by Connect: https://connectrpc.com/docs/go/errors/#http-representation

codestring [canceled, unknown, invalid_argument, deadline_exceeded, not_found, already_exists, permission_denied, resource_exhausted, failed_precondition, aborted, out_of_range, unimplemented, internal, unavailable, data_loss, unauthenticated]

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

detailsarray

A list of messages that carry the error details. There is no limit on the number of messages.

Array Items:
messagestring

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

curl -X POST "https://api.shorted.com.au/shorts.v1alpha1.MarketService/GetIndustryTreeMap" \
  -H "Content-Type: application/json" \
  -d '{
  "limit": 0,
  "period": "string",
  "viewMode": "string"
}'